Module gengeo :: Class MeshVolWithJointSet

[hide private]
[frames] | no frames]

# Class MeshVolWithJointSet

     object --+
              |
    ??.instance --+
                  |
            AVolume --+
                      |
              AVolume3D --+
                          |
                 MeshVolume --+
                              |
                             MeshVolWithJointSet

A class defining a volume bounded by a triangle mesh containing joints.

Instance Methods | [hide private]

__init__(...) Constructs a volume from a supplied set of triangles. |

void

addJoints(...) Adds a set of triangluar patches as joints. |

Inherited from `AVolume`: `__reduce__` Inherited from `unreachable.instance`: `__new__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables | [hide private]

| __instance_size__ = `208`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(...)
(Constructor)

Constructs a volume from a supplied set of triangles.

Parameters:
  - `Mesh` (TriPatchSet) - The set of triangles
Overrides: object.__init__

### addJoints(...)

Adds a set of triangluar patches as joints.

Parameters:
  - `plane` (Plane) - the set of patches
Returns: void